package _06_for高级练习;

import java.util.Random;
import java.util.Scanner;

public class Test4 {
    public static void main(String[] args) {
        /**
         * 需求：
         *  程序自动生成一个1-100之间的随机数，在代码中使用键盘录入去猜出这个数字是多少？
         *
         * 1 创建出来一个1-100 随机数  Random
         * 2 无线循环
         * 3 通过键盘录入数字
         * 4 判断录入的数字和随机数进行比较
         * 5 如果输入数字大于随机数就打印 输入的内容过大
         * 6 如果输入数字小于随机数就打印 输入内容过小
         * 7 如果输入数字== 随机数就打印猜中了终止循环
         *
         */
//        1 创建出来一个1-100 随机数  Random
        Random random = new Random();
        // 0 - 99   1-100
        int randomNumber = random.nextInt(100) +1;
//        2 无线循环
        Scanner scanner = new Scanner(System.in);
        while (true){
            System.out.println("请一猜 是几?");
//        3 通过键盘录入数字
            int number = scanner.nextInt();
//        4 判断录入的数字和随机数进行比较
            if(number == randomNumber){
                //7 如果输入数字== 随机数就打印猜中了终止循环
                System.out.println("恭喜你猜对了 ");
                break;
            }else if(number > randomNumber){
                // 5 如果输入数字大于随机数就打印 输入的内容过大
                System.out.println("猜的数字太大");
            }else if(number < randomNumber){
                //6 如果输入数字小于随机数就打印 输入内容过小
                System.out.println("猜的数字太小了");
            }
        }
    }
}
